Interface
Properties
| Property | Type | Notes |
|---|---|---|
authenticationinherited | string | IAuthenticationManager | The instance of |
credentialsinherited | RequestCredentials | A string indicating whether credentials (cookies) will be sent with the request. Used internally for authentication workflows. |
distanceinherited | number | |
f | "json" | "geojson" | "pbf" | "pbf-as-geojson" | "pbf-as-arcgis" | Response format for raw queries. Includes "pbf" for callers that need direct binary handling. |
fetchOptionsinherited | RequestInit | anything you can pass to the options for fetch https://developer.mozilla.org/en-US/docs/Web/API/RequestInit REST JS may override or ignore these as it sees fit. REST JS currently modifies the headers and credentials options. |
gdbVersioninherited | string | |
geometryinherited | IGeometry | |
geometryPrecisioninherited | number | |
geometryTypeinherited | GeometryType | |
groupByFieldsForStatisticsinherited | string | |
headersinherited | {} | Additional Headers to pass into the request. |
hideTokeninherited | boolean | Prevents the token from being passed in a URL query parameter that is saved in browser history. |
historicMomentinherited | number | |
httpMethodinherited | HTTPMethods | The HTTP method to send the request with. |
inSRinherited | string | ISpatialReference | |
maxAllowableOffsetinherited | number | |
maxRecordCountFactorinherited | number | |
maxUrlLengthinherited | number | If the length of a GET request's URL exceeds |
multipatchOptioninherited | "xyFootprint" | |
objectIdsinherited | number[] | |
orderByFieldsinherited | string | |
outFieldsinherited | string[] | "*" | Attribute fields to include in the response. Defaults to "*" |
outSRinherited | string | ISpatialReference | |
outStatisticsinherited | IStatisticDefinition[] | |
paramsinherited | IParams | Record<string, any> | Additional parameters to pass in the request. |
portalinherited | string | Base url for the portal you want to make the request to. Defaults to authentication.portal if authentication exists, otherwise to 'https://www.arcgis.com/sharing/rest'. |
quantizationParametersinherited | any | |
rawResponseinherited | boolean | Return the raw response |
relationParaminherited | string | |
requestFlagsinherited | IRequestFlags | ArcGIS REST JS runtime flags. |
resultOffsetinherited | number | |
resultRecordCountinherited | number | |
resultTypeinherited | "none" | "standard" | "tile" | |
returnCentroidinherited | boolean | |
returnCountOnlyinherited | boolean | |
returnDistinctValuesinherited | boolean | |
returnExceededLimitFeaturesinherited | boolean | |
returnExtentOnlyinherited | boolean | |
returnGeometryinherited | boolean | |
returnIdsOnlyinherited | boolean | |
returnMinherited | boolean | |
returnTrueCurvesinherited | "" | |
returnZinherited | boolean | |
signalinherited | AbortSignal | An AbortSignal object instance; allows you to abort a request and via an AbortController. |
spatialRelinherited | SpatialRelationship | |
sqlFormatinherited | "native" | "none" | "standard" | |
suppressWarningsinherited | boolean | Suppress any ArcGIS REST JS related warnings for this request. |
timeinherited | number | number[] | |
unitsinherited | Units | |
urlinherited | string | Layer service url. |
whereinherited | string | A where clause for the query. Defaults to "1=1" |
authentication
authentication: string | IAuthenticationManagerThe instance of @esri/arcgis-rest-request!ArcGISIdentityManager , @esri/arcgis-rest-request!ApplicationCredentialsManager or @esri/arcgis-rest-request!ApiKeyManager to use to authenticate this request. A token may also be passed directly as a string however using the built in authentication managers is encouraged.
credentials
credentials: RequestCredentialsA string indicating whether credentials (cookies) will be sent with the request. Used internally for authentication workflows.
f
f: "json" | "geojson" | "pbf" | "pbf-as-geojson" | "pbf-as-arcgis"Response format for raw queries. Includes "pbf" for callers that need direct binary handling.
fetchOptions
fetchOptions: RequestInitanything you can pass to the options for fetch https://developer.mozilla.org/en-US/docs/Web/API/RequestInit REST JS may override or ignore these as it sees fit. REST JS currently modifies the headers and credentials options.
gdbVersion
gdbVersion: stringgeometry
geometry: IGeometrygeometryPrecision
geometryPrecision: numbergeometryType
geometryType: GeometryTypegroupByFieldsForStatistics
groupByFieldsForStatistics: stringhideToken
hideToken: booleanPrevents the token from being passed in a URL query parameter that is saved in browser history.
historicMoment
historicMoment: numberinSR
inSR: string | ISpatialReferencemaxAllowableOffset
maxAllowableOffset: numbermaxRecordCountFactor
maxRecordCountFactor: numbermaxUrlLength
maxUrlLength: numberIf the length of a GET request's URL exceeds maxUrlLength the request will use POST instead.
multipatchOption
multipatchOption: "xyFootprint"objectIds
objectIds: number[]orderByFields
orderByFields: stringoutFields
outFields: string[] | "*"Attribute fields to include in the response. Defaults to "*"
outSR
outSR: string | ISpatialReferenceoutStatistics
outStatistics: IStatisticDefinition[]params
params: IParams | Record<string, any>Additional parameters to pass in the request.
portal
portal: stringBase url for the portal you want to make the request to. Defaults to authentication.portal if authentication exists, otherwise to 'https://www.arcgis.com/sharing/rest'.
quantizationParameters
quantizationParameters: anyrelationParam
relationParam: stringresultOffset
resultOffset: numberresultRecordCount
resultRecordCount: numberresultType
resultType: "none" | "standard" | "tile"returnCentroid
returnCentroid: booleanreturnCountOnly
returnCountOnly: booleanreturnDistinctValues
returnDistinctValues: booleanreturnExceededLimitFeatures
returnExceededLimitFeatures: booleanreturnExtentOnly
returnExtentOnly: booleanreturnGeometry
returnGeometry: booleanreturnIdsOnly
returnIdsOnly: booleanreturnTrueCurves
returnTrueCurves: ""signal
signal: AbortSignalAn AbortSignal object instance; allows you to abort a request and via an AbortController.
spatialRel
spatialRel: SpatialRelationshipsqlFormat
sqlFormat: "native" | "none" | "standard"suppressWarnings
suppressWarnings: booleanSuppress any ArcGIS REST JS related warnings for this request.
units
units: Units